Normally yes. Any theme that follows the WordPress/WooCommerce coding standards should be compatible with all of our plugins. If you face any issues though, reach out to us and we’ll fix it.